javax.faces.component

## Class UIGraphic

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIGraphic

- All Implemented Interfaces:
    EventListener, PartialStateHolder, StateHolder, TransientStateHolder, ComponentSystemEventListener, FacesListener, SystemEventListenerHolder
  Direct Known Subclasses:
    HtmlGraphicImage

      public class UIGraphic
      extends UIComponentBase

  UIGraphic is a `UIComponent` that displays a graphical image to the user. The user cannot manipulate this component; it is for display purposes only.

  By default, the `rendererType` property must be set to "`javax.faces.Image`". This value can be changed by calling the `setRendererType()` method.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY` The standard component family for this component.
    `static String` | `COMPONENT_TYPE` The standard component type for this component.

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIGraphic()` Create a new `UIGraphic` instance with default property values.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFamily()` Return the identifier of the component family to which this component belongs.
    `String` | `getUrl()` Return the image URL for this `UIGraphic`.
    `Object` | `getValue()` Returns the `value` property of the `UIGraphic`.
    `ValueBinding` | `getValueBinding(String name)` Deprecated. This has been replaced by `getValueExpression(java.lang.String)`.
    `ValueExpression` | `getValueExpression(String name)` Return any `ValueExpression` set for `value` if a `ValueExpression` for `url` is requested; otherwise, perform the default superclass processing for this method.
    `void` | `setUrl(String url)` Set the image URL for this `UIGraphic`.
    `void` | `setValue(Object value)` Sets the `value` property of the `UIGraphic`.
    `void` | `setValueBinding(String name, ValueBinding binding)` Deprecated. This has been replaced by `setValueExpression(java.lang.String, javax.el.ValueExpression)`.
    `void` | `setValueExpression(String name, ValueExpression binding)` Store any `ValueExpression` specified for `url` under `value` instead; otherwise, perform the default superclass processing for this method.

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      The standard component type for this component.

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      The standard component family for this component.

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIGraphic

          public UIGraphic()

      Create a new `UIGraphic` instance with default property values.

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Description copied from class: `UIComponent`

      Return the identifier of the component family to which this component belongs. This identifier, in conjunction with the value of the `rendererType` property, may be used to select the appropriate `Renderer` for this component instance.

      Specified by:
        `getFamily` in class `UIComponent`

    - #### getUrl

          public String getUrl()

      Return the image URL for this `UIGraphic`. This method is a typesafe alias for `getValue()`.

    - #### setUrl

          public void setUrl(String url)

      Set the image URL for this `UIGraphic`. This method is a typesafe alias for `setValue()`.

      Parameters:
        `url` - The new image URL

    - #### getValue

          public Object getValue()

      Returns the `value` property of the `UIGraphic`. This will typically be rendered as an URL.

    - #### setValue

          public void setValue(Object value)

      Sets the `value` property of the `UIGraphic`. This will typically be rendered as an URL.

      Parameters:
        `value` - the new value

    - #### getValueBinding

          public ValueBinding getValueBinding(String name)

      Deprecated. This has been replaced by `getValueExpression(java.lang.String)`.

      Return any `ValueBinding` set for `value` if a `ValueBinding` for `url` is requested; otherwise, perform the default superclass processing for this method.

      Overrides:
        `getValueBinding` in class `UIComponentBase`
      Parameters:
        `name` - Name of the attribute or property for which to retrieve a `ValueBinding`
      Throws:
        `NullPointerException` - if `name` is `null`

    - #### setValueBinding

          public void setValueBinding(String name,
                             ValueBinding binding)

      Deprecated. This has been replaced by `setValueExpression(java.lang.String, javax.el.ValueExpression)`.

      Store any `ValueBinding` specified for `url` under `value` instead; otherwise, perform the default superclass processing for this method. In all cases, the superclass is relied on to convert the `ValueBinding` to a `ValueExpression`.

      Overrides:
        `setValueBinding` in class `UIComponentBase`
      Parameters:
        `name` - Name of the attribute or property for which to set a `ValueBinding`
        `binding` - The `ValueBinding` to set, or `null` to remove any currently set `ValueBinding`
      Throws:
        `NullPointerException` - if `name` is `null`

    - #### getValueExpression

          public ValueExpression getValueExpression(String name)

      Return any `ValueExpression` set for `value` if a `ValueExpression` for `url` is requested; otherwise, perform the default superclass processing for this method.

      Overrides:
        `getValueExpression` in class `UIComponent`
      Parameters:
        `name` - Name of the attribute or property for which to retrieve a `ValueExpression`
      Throws:
        `NullPointerException` - if `name` is `null`
      Since:
        1.2

    - #### setValueExpression

          public void setValueExpression(String name,
                                ValueExpression binding)

      Store any `ValueExpression` specified for `url` under `value` instead; otherwise, perform the default superclass processing for this method.

      Overrides:
        `setValueExpression` in class `UIComponent`
      Parameters:
        `name` - Name of the attribute or property for which to set a `ValueExpression`
        `binding` - The `ValueExpression` to set, or `null` to remove any currently set `ValueExpression`
      Throws:
        `NullPointerException` - if `name` is `null`
      Since:
        1.2

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.